//#region ../../node_modules/mdast-util-find-and-replace/node_modules/escape-string-regexp/index.js
function e(e) {
	if (typeof e != "string") throw TypeError("Expected a string");
	return e.replace(/[|\\{}()[\]^$+*?.]/g, "\\$&").replace(/-/g, "\\x2d");
}
//#endregion
export { e as default };
